QTextDecoder(3qt)

NAME
QTextDecoder - State-based decoder

SYNOPSIS
All the functions in this class are reentrant when TQt is built with thread support.</p>

#include <ntqtextcodec.h>

  Public Members
virtual ~QTextDecoder ()
virtual TQString toUnicode ( const char * chars, int len ) = 0

DESCRIPTION
The QTextDecoder class provides a state-based decoder.

The decoder converts a text format into Unicode, remembering any state that is required between calls.

See also QTextCodec::makeEncoder() and Internationalization with Qt.

MEMBER FUNCTION DOCUMENTATION

QTextDecoder::~QTextDecoder () [virtual]
Destroys the decoder.

TQString QTextDecoder::toUnicode ( const char * chars, int len ) [pure virtual]
Converts the first len bytes in chars to Unicode, returning the result.

If not all characters are used (e.g. if only part of a multi-byte encoding is at the end of the characters), the decoder remembers enough state to continue with the next call to this function.

SEE ALSO
http://doc.trolltech.com/qtextdecoder.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2007 Trolltech ASA, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive TQt documentation is provided in HTML format; it is located at $TQTDIR/doc/html and can be read using TQt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (tqtextdecoder.3qt) and the Qt version (3.3.8).